--Get Translator
local S = core.get_translator("shapetester")

--Global variable
shapetester = {}

--Get files
local modpath = core.get_modpath("shapetester")
dofile(modpath..("/shapeshift.lua"))
dofile(modpath..("/misc.lua"))

--Show shapetester shapeshift menu
core.register_chatcommand("shapeshift", {
    privs = {server = true},
    func = shapetester.show_shapeshift_menu,
    description = S("Use this command to show the shape-shift menu")
})

core.register_chatcommand("tech_shapeshift", {
    privs = {server = true},
    func = shapetester.show_shapeshift_tech_menu,
    description = S("Use this command to show the technical shape-shift menu")
})

core.register_chatcommand("model_reset", {
    privs = {server = true},
    func = function(caller)
        local player = core.get_player_by_name(caller)
        shapetester.reset(player)
    end,
    description = S("Use this command to reset your form/model")
})